/*-------------------------------------------------------------------------*
/* netbios.h -- definitions for netbios programs
 *
 * T. Nolan 11/15/89
 *-------------------------------------------------------------------------*/

#ifndef MAXPATH
	#define MAXPATH 80
#endif

#define NODE_NAME_LEN 16

typedef struct
{
	unsigned char command;
	unsigned char retcode;
	unsigned char lsn;
	unsigned char num;

	char far *buffer;

	unsigned int length;

	char callname[NODE_NAME_LEN];
	char name[NODE_NAME_LEN];

	unsigned char rto;
	unsigned char sto;

	void (interrupt far *post)();

	unsigned char lana;
	unsigned char cmdcplt;

	char reserved[16];
} NCB;

#define NB_INT  0x5c

#define NB_RESET                0x32
#define NB_CANCEL               0x35
#define NB_ADAPTER_STATUS       0x33
#define NB_UNLINK               0x70
#define NB_TRACE                0x79
#define NB_ADD_NAME             0x30
#define NB_ADD_GROUP_NAME       0x36
#define NB_DELETE_NAME          0x31
#define NB_FIND_NAME            0x78
#define NB_CALL                 0x10
#define NB_LISTEN               0x11
#define NB_HANGUP               0x12
#define NB_SEND                 0x14
#define NB_SEND_NO_ACK          0x71
#define NB_CHAIN_SEND           0x17
#define NB_CHAIN_SEND_NO_ACK    0x72
#define NB_RECEIVE              0x15
#define NB_RECEIVE_ANY          0x16
#define NB_SESSION_STATUS       0x34
#define NB_SEND_DATAGRAM        0x20
#define NB_RECEIVE_DATAGRAM     0x21
#define NB_SEND_BDATAGRAM       0x22
#define NB_RECEIVE_BDATAGRAM    0x23
#define NB_INVALID              0x7f
#define NO_WAIT                 0x80

#ifndef NB
	extern int isnodename(char *str);
	extern void clear_ncb(NCB *ncb_ptr);
	extern int nb_request(int cmd, NCB *ncb_ptr);
	extern int nb_cancel(NCB *ncb_ptr);
	extern int reset(void);
	extern int get_name(char *str);
	extern int add_name(char *str);
	extern int call(char *remote, char *local);
	extern int listen(char *remote, char *local);
	extern int send_datagram(char *node, void *buf, int len);
	extern int send_brdcst_datagram(void *buf, int len);
	extern int recv_datagram(void *buf, int len, char *sender);
	extern int nw_recv_datagram(void *buf, int len, NCB *ncb_ptr);
	extern int nw_recv_brdcst_datagram(void *buf, int len, NCB *ncb_ptr);
	extern int send(int lsn, void *buf, int len);
	extern int receive(int lsn, void *buf, int len);
	extern int hangup(int lsn);
#endif
